package com.its.pis.dao.mapper;

import com.its.pis.entity.TbPrkPlceRt;
import com.its.pis.entity.TbPrkPlce;
import com.its.pis.entity.TbPrkPlceStts;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PrltCtlrMapper {

    List<TbPrkPlce> selectAll();

    int              updatePrltCtlrStts(@Param("stts") TbPrkPlceStts stts);
    int              insertPrltCtlrSttsHs(@Param("stts") TbPrkPlceStts stts);

    int              updatePrkPlceRlTime(@Param("obj") TbPrkPlceRt obj);
    
}
